summaryrefslogtreecommitdiff
path: root/qa/388
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/388
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/388')
-rwxr-xr-xqa/38845
1 files changed, 45 insertions, 0 deletions
diff --git a/qa/388 b/qa/388
new file mode 100755
index 0000000..aba2551
--- /dev/null
+++ b/qa/388
@@ -0,0 +1,45 @@
+#!/bin/sh
+# PCP QA Test No. 388
+# Interp mode (similar to qa/090, but with valgrind) (see also 329)
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+
+# can skip stdout from interp0 -a src/interp ...
+# that's checked in 087
+#
+_filter()
+{
+ $PCP_AWK_PROG '
+BEGIN { skip = 1 }
+/=== std err ===/ { skip = 0 }
+skip == 0 { print }'
+}
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+for delta in 1 4 5 8 10
+do
+ samples=`expr 80 / $delta`
+ [ $samples -gt 15 ] && samples=15
+ echo
+ echo "interpolate $samples, $delta seconds appart"
+ _run_valgrind src/interp0 -a src/interp -t $delta -s $samples \
+ | _filter
+done
+
+# success, all done
+exit